%define module	PyXML
%define name	python-pyxml
%define version 0.8.4
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://%{name}.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pyxml/PyXML-%{version}.tar.bz2
License:	Apacheish License
Group:		System/Libraries
Summary:	XML libraries for python
BuildRequires:	python-devel
BuildRequires:	libexpat-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%{module}
Provides:	%{module}

%description
An XML package for Python. The distribution contains a validating XML parser,
an implementation of the SAX and DOM programming interfaces and an interface
to the Expat parser.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build --with-libexpat=%_prefix

%install
rm -fr $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES 

python -O %{_libdir}/python%{pyver}/compileall.py \
$RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages

find $RPM_BUILD_ROOT%{_libdir}/python%{pyver} -name "*pyo" | \
sed "s|$RPM_BUILD_ROOT||" >> INSTALLED_FILES
grep -v %{_docdir} INSTALLED_FILES |grep -v LC_MESSAGES > installed_files

find $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/  -type d | 
sed "s|$RPM_BUILD_ROOT||" |
 sed 's|^|%dir |' | grep -v '/{de,en_US,fr_FR}/' >> installed_files
%clean
rm -rf $RPM_BUILD_ROOT

%files -f installed_files 
%defattr(-,root,root)
%doc LICENCE ANNOUNCE CREDITS README README.dom README.pyexpat README.sgmlop TODO doc/*
%lang(de) %{_libdir}/python%{pyver}/site-packages/*/dom/de/
%lang(en_US) %{_libdir}/python%{pyver}/site-packages/*/dom/en_US/
%lang(fr) %{_libdir}/python%{pyver}/site-packages/*/dom/fr/

%changelog
* Wed May  4 2005 Gtz Waschk <waschk@mandriva.org> 0.8.4-2mdk
- use external libexpat
- enable xpath and xslt

* Thu Dec 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.4-1mdk
- new version
- changed name

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.3-4mdk
- Rebuild for new python

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.8.3-3mdk
- [DIRM]

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.8.3-2mdk 
- [DIRM]

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 0.8.3-1mdk
- 0.8.3

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-4mdk
- rebuild for new python

* Sat Mar 29 2003 David Walluck <walluck@linux-mandrake.com> 0.8.2-3mdk
- release

* Tue Mar 25 2003 David Walluck <david@anti-microsoft.org> 0.8.2-2plf
- spec file cleanups

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0.8.2-1plf
- release
